package goap

type SchemaValueData struct {
	Next  BaseApChain
	Value ValueValue[string]
}

func (namedata *SchemaValueData) GetSelfOrBase() (BaseApChain, bool) {
	return namedata.Next, true
}

func (namedata *SchemaValueData) MarshalToMap() map[string]any {
	return appendWithKey(
		namedata.Next.MarshalToMap(),
		KEY_SCHEMA_VALUE,
		[]map[string]any{namedata.Value.Marshal()},
	)
}
