package goap

type W3VcardAddressData struct {
	Next    BaseApChain
	Address string
}

func (misskeysummarydata *W3VcardAddressData) GetSelfOrBase() (BaseApChain, bool) {
	return misskeysummarydata.Next, true
}

func (misskeysummarydata *W3VcardAddressData) MarshalToMap() map[string]any {
	return appendWithKey(
		misskeysummarydata.Next.MarshalToMap(),
		KEY_W3_VCARD_ADRESS,
		[]map[string]any{{KEY_VALUE: misskeysummarydata.Address}},
	)
}

type W3VcardBirthdayData struct {
	Next     BaseApChain
	Birthday string
}

func (misskeysummarydata *W3VcardBirthdayData) GetSelfOrBase() (BaseApChain, bool) {
	return misskeysummarydata.Next, true
}

func (misskeysummarydata *W3VcardBirthdayData) MarshalToMap() map[string]any {
	return appendWithKey(
		misskeysummarydata.Next.MarshalToMap(),
		KEY_W3_VCARD_BIRTHDAY,
		[]map[string]any{{KEY_VALUE: misskeysummarydata.Birthday}},
	)
}
